import { ObjectId } from "mongodb";
import MissionType from "../MissionType";

export default interface DBFleet {
    _id: ObjectId;
    source: ObjectId;
    destination: ObjectId;
    departureTime: Date;
    arrivalTime: Date;
    returning: boolean;
    mission: MissionType;
    ships: Array<{ id: string, amount: number }>;
    cargo: Array<{ id: string, amount: number }>;
}