import { ObjectId } from "mongodb";

export default interface DBResearch {
    _id: ObjectId;
    id: string;
    requirements: {
        buildings: Array<{ id: string, level: number }>,
        research: Array<{ id: string, level: number }>,
        resources: Array<{ id: string, amount: number }>,
    };
    time: number;
    multiplier: number;
}