import { ObjectId } from "mongodb";

export default interface DBUser {
    _id: ObjectId;
    username: string;
    email: string;
    password: string;
    lastLogin: Date;
    createdAt: Date;
    updatedAt: Date;
    research: Array<{ id: string, level: number }>;
    mainPlanet: ObjectId;
}