import { ObjectId } from "mongodb";
import BuildingManager from "./BuildingManager";
import PlanetResourceManager from "./PlanetResourceManager";
import ShipManager from "./PlanetShipManager";
import SystemManager from "./SystemManager";

export type Planet = {
    _id: ObjectId;
    system: SystemManager;
    name: string;
    fields: number;
    resources: PlanetResourceManager;
    buildings: BuildingManager;
    ships: ShipManager;
}