import { ObjectId } from "mongodb";

export default interface DBSystem {
    _id: ObjectId;
    name: string;
    ownedBy: ObjectId;
    structures: Array<{
        id: string,
        level: number
    }>;
    planets: Array<ObjectId>;
    resources: Array<{
        id: string,
        amount: number
    }>;
    ships: Array<{
        id: string,
        amount: number
    }>;
}